<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
    <head>
    <th:block th:include="fragments/header"></th:block>
</head>
<body>
    <div class="container-fluid px-0">
        <th:block th:include="fragments/navbar"></th:block>
        <div class="row justify-content-center">
            <div class="col-lg-6 col-md-12 col-sm-12 justify-content-center">
                <h1 class="text-center my-5">
                    Elfelejtett jelszó
                </h1>
                <div th:if="${forgotPassword == 'email_address_not_found'}"
                     class="alert alert-danger">
                    Nem találtuk a megadott email címet!
                </div>
                <div th:if="${forgotPassword == 'email_required'}"
                     class="alert alert-danger">
                    Email cím megadása kötelező!
                </div>
                <div th:if="${forgotPassword == 'email_format_not_correct'}"
                     class="alert alert-danger">
                    Email formátuma nem megfelelő!
                </div>
                <div th:if="${forgotPassword == 'email_sent'}"
                     class="alert alert-success">
                    Elküldtük az információkat emailben!!
                </div>
                <div th:if="${forgotPassword == 'email_sent_error'}"
                     class="alert alert-danger">
                    Hiba az email küldés során. Vegye fel a kapcsolatot velünk!                            
                </div>
                <form name="login" th:action="@{/forgot-password-sender}" method="post">
                    <div class="form-group">
                        <input type="text" id="email" th:value="${email}" name="email" class="form-control" placeholder="Email Address" />
                    </div>
                    <div class="d-flex justify-content-end form-group">
                        <button class="btn btn-primary" id="submit">
                            Küldés
                            <i class="fa fa-long-arrow-right" aria-hidden="true"></i>
                        </button>
                    </div>
                </form>
            </div>    
        </div>
    </div> 
<th:block th:include="fragments/footer"></th:block>
<script>
    $(document).ready(function () {
        $("#submit").click(function () {
            $(this).html(
                    `<span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>`
                    );
        });
    });
</script>
</div>
</body>
</html>
